boot.array {boot} | R Documentation

## Bootstrap Resampling Arrays

### Description

This function takes a bootstrap object calculated by one of the functions `boot`, `censboot`, or `tilt.boot` and returns the frequency (or index) array for the bootstrap resamples.

### Usage

    boot.array(boot.out, indices)

### Arguments

`boot.out` | An object of class `"boot"` returned by one of the generation functions for such an object.
`indices` | A logical argument which specifies whether to return the frequency array or the raw index array. The default is `indices=FALSE` unless `boot.out` was created by `tsboot` in which case the default is `indices=TRUE`.

### Details

The process by which the original index array was generated is repeated with the same value of `.Random.seed`. If the frequency array is required then `freq.array` is called to convert the index array to a frequency array.

A resampling array can only be returned when such a concept makes sense. In particular it cannot be found for any parametric or model-based resampling schemes. Hence for objects generated by `censboot` the only resampling scheme for which such an array can be found is ordinary case resampling. Similarly if `boot.out$sim` is `"parametric"` in the case of `boot` or `"model"` in the case of `tsboot` the array cannot be found. Note also that for post-blackened bootstraps from `tsboot` the indices found will relate to those prior to any post-blackening and so will not be useful.

Frequency arrays are used in many post-bootstrap calculations such as the jackknife-after-bootstrap and finding importance sampling weights. They are also used to find empirical influence values through the regression method.

### Value

A matrix with `boot.out$R` rows and `n` columns where `n` is the number of observations in `boot.out$data`. If `indices` is `FALSE` then this will give the frequency of each of the original observations in each bootstrap resample. If `indices` is `TRUE` it will give the indices of the bootstrap resamples in the order in which they would have been passed to the statistic.

### Side Effects

This function temporarily resets `.Random.seed` to the value in `boot.out$seed` and then returns it to its original value at the end of the function.

### See Also

`boot`, `censboot`, `freq.array`, `tilt.boot`, `tsboot`

### Examples

    #  A frequency array for a nonparametric bootstrap
    city.boot <- boot(city, corr, R = 40, stype = "w")
    boot.array(city.boot)

    perm.cor <- function(d,i) cor(d$x,d$u[i])
    city.perm <- boot(city, perm.cor, R = 40, sim = "permutation")
    boot.array(city.perm, indices = TRUE)

[Package boot version 1.3-7 Index]